%define piname	statusbar_pi

Name:		opencpn-statusbar-plugin
Summary:	Plugin for OpenCpn implementing a more configurable statusbar
Version:	0.6.001
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
The built-in status bar is very limited in it's configuration options and can
be difficult to read. This plugin replaces it with a more configurable one.
For best results, you should disable the built-in toolbar on the User Interface
tab in the Toolbox and set the Y position of the plugin toolbar to at least
the pixel size of the font selected in the plugin preferences.

%prep
%setup -q -n %{piname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Thu Jun 02 2016 daviddavid <daviddavid> 0.6.001-3.mga6
+ Revision: 1019837
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 0.6.001-2.mga6
+ Revision: 962350
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 0.6.001-1.mga6
+ Revision: 908788
- new package opencpn-statusbar-plugin

